#!/bin/bash
exitcode=0
nl="\n"

valgrind -v --track-origins=yes --error-exitcode=127 --leak-check=full --log-file=output/valgrind_$1.log --show-reachable=yes ./boxpack tests/${1} output/ausgabe_${1}

result=$?


echo -e "  1. Valgrind result:"

if [ "$result" == "127" ];
then

	./scripts/analyseValgrindLog.sh $1
	exitcode=1

else

	echo -e "    No memory leak occured.\n"

fi

while read line
do

	if [ "$line" != "./boxpack" ]; then

		if [ "$line" != "exit" ]; then

			a="${a/\$ /\$###$line$nl}"

		else

			a="${a/\$ /\$###$line}"

		fi

	fi

done < tests/$1

#echo -e "${a//###/ }" >output/ausgabe_$1

exit $exitcode
